Skip to main content
Infrastructure/Agents

ListByLifecycleStatus

List agents filtered by their current lifecycle status with snapshot details

GET/api/v1/agents/by-lifecycle-status/{status}

Operation ID

ListByLifecycleStatus

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • status
    StringRequired

    Lifecycle status filter (online, offline, upgrading, delayed)

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • items
    List

    Collection of result items

    Example: (nested array)

    • agentId
      String

      UUID of the agent captured in this snapshot

      Example: agent-abc123-def456

    • status
      String

      Current lifecycle status of the agent

      Example: online

    • currentVersion
      String

      Currently running version of the agent

      Example: 1.4.2

    • lastHeartbeat
      String

      Last heartbeat

      Example: 2026-01-15T08:00:00Z

  • total
    Integer

    Total number of agents with the given lifecycle status

    Example: 75

  • limit
    Integer

    Maximum number of snapshots returned

    Example: 20

  • offset
    Integer

    Number of snapshots skipped for pagination

    Example: 20